Module
Contents
Index 🔎︎

# Not Operator

Negates an expression by inverting the bit values.

## Syntax:

    Result = Not Expression

## Parameters:

Result: Any numeric variable that contains the result of the negation.

Expression: Any expression that you want to negate.

When a Boolean expression is negated, the value True changes to False, and the value False changes to True.

In a bitwise negation each individual bit is inverted.

## Example:

    Sub ExampleNot

    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant

    Dim vOut As Variant

        vA = 10: vB = 8: vC = 6: vD = Null

        vOut = Not vA ' Returns -11

        vOut = Not(vC > vD) ' Returns -1

        vOut = Not(vB > vA) ' Returns -1

        vOut = Not(vA > vB) ' Returns 0

    End Sub